<?
require_once('../include/global.php');
require_once("../include/webhard_lib.php");
require_once("../include/file.php");
require_once('./conf.inc.php');
require_once('../include/member_size_lib.php');


set_time_limit(1200);
page_loading_view("파일을 삭제하고 있습니다.");

// check
	if (!$_POST['cmf'] || !$_POST['wfd_key'])
		msg('올바른 URL로 접근하여 주십시오');


	// 공용웹하드 정보확인 및 권한제한
	$ws = webhard_get_share($_POST['wfd_key'], $ws_key=NULL, 'D');


// del
	$UPLOAD_ROOT = $UPLOAD_ROOT_NEW;
	$upload_dir = $UPLOAD_DIR[WEBHARD];

	$wf_size_sum = 0;

	for ($i=0; $i<sizeof($_POST['cmf']); $i++)
	{
		// [2009-06-23] 파일 리스트에서 폴더 선택시
		if (is_numeric($_POST['cmf'][$i]))		// folder
		{
			// 공용웹하드 정보확인 및 권한제한
			$ws = webhard_get_share($_POST['cmf'][$i], $ws_key=NULL, 'D');

			// 폴더 삭제
			$wfd_parent = webhard_folder_del($ws['ws_key'], $_POST['cmf'][$i], $UPLOAD_DIR[WEBHARD], $is_root_del=false, $AUTH['auth_m_no']);
		} else		// file
		{
			$ex = explode('|', $_POST['cmf'][$i]);
			$wf_key = $ex[0];
			$wfd_key = $ex[1];
			if (is_numeric($wf_key))
			{
				$sql = "
					SELECT
						wf_name, wf_size
					FROM
						".$TB['WEBHARD_FILE']."
					WHERE
						wf_key='" . $wf_key . "'
						AND wfd_key='".$wfd_key."'
					";
				$wf = db_get_row($sql);
				if (!$wf)
					msg("존재하지 않는 파일입니다.\\n\\n이미 삭제되었을 수 있습니다.");
				$errorMsg = file_del($wf_key, '', $upload_dir, false);

				if ($errorMsg != '')
				{
					error("[웹하드 파일삭제 실패]".$errorMsg, 'FILE');
				} else 
				{
					$sql = "
						DELETE
						FROM
							".$TB['WEBHARD_FILE']."
						WHERE
							wf_key='" . $wf_key . "'
							AND wfd_key='".$wfd_key."'
						";
					db_query($sql);

					$wf_size_sum += $wf['wf_size'];
				}	// if()
			}	// if()			
		}	// if()
	}	// for()


	// 계정별 웹하드 사용량 갱신
	if ($ws['ws_key'] > 0)		// 공용웹하드
	{
		webhard_share_size_update($ws['ws_key'], -($wf_size_sum));
	} else		// 내 웹하드
	{
		member_size_update($AUTH['auth_m_no'], 'WEBHARD', -($wf_size_sum));
	}	// if()


// end
	?>
		<script type="text/javascript">
		    <!--
				parent.webhard_folder_reload();
		   //-->
		</script>
	<?
	movepage('file_list.php?'.$_POST['qs']);

require_once('include/global_end.php');
?>